# eric4.Plugins.VcsPlugins.vcsPySvn.SvnLogBrowserDialog

Module implementing a dialog to browse the log history.

### Global Attributes

None

### Classes

SvnLogBrowserDialog | Class implementing a dialog to browse the log history.

### Functions

None

## SvnLogBrowserDialog

Class implementing a dialog to browse the log history.

### Derived from

QDialog, SvnDialogMixin, Ui_SvnLogBrowserDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnLogBrowserDialog | Constructor
__diffRevisions | Private method to do a diff of two revisions.
__filterLogs | Private method to filter the log entries.
__finish | Private slot called when the user pressed the button.
__generateFileItem | Private method to generate a changed files tree entry.
__generateLogItem | Private method to generate a log tree entry.
__getLogEntries | Private method to retrieve log entries from the repository.
__resizeColumnsFiles | Private method to resize the changed files tree columns.
__resizeColumnsLog | Private method to resize the log tree columns.
__resortFiles | Private method to resort the changed files tree.
__resortLog | Private method to resort the log tree.
__showError | Private slot to show an error message.
_reset | Protected method to reset the internal state of the dialog.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_clearRxEditButton_clicked | Private slot called by a click of the clear RX edit button.
on_diffPreviousButton_clicked | Private slot to handle the Diff to Previous button.
on_diffRevisionsButton_clicked | Private slot to handle the Compare Revisions button.
on_fieldCombo_activated | Private slot called, when a new filter field is selected.
on_fromDate_dateChanged | Private slot called, when the from date changes.
on_logTree_currentItemChanged | Private slot called, when the current item of the log tree changes.
on_logTree_itemSelectionChanged | Private slot called, when the selection has changed.
on_nextButton_clicked | Private slot to handle the Next button.
on_rxEdit_textChanged | Private slot called, when a filter expression is entered.
on_stopCheckBox_clicked | Private slot called, when the stop on copy/move checkbox is clicked
on_toDate_dateChanged | Private slot called, when the from date changes.
start | Public slot to start the svn log command.

### Static Methods

None

#### SvnLogBrowserDialog (Constructor)

SvnLogBrowserDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnLogBrowserDialog.__diffRevisions

__diffRevisions(rev1, rev2, peg_rev)

Private method to do a diff of two revisions.

rev1
  first revision number (integer)
rev2
  second revision number (integer)
peg_rev
  revision number to use as a reference (integer)

#### SvnLogBrowserDialog.__filterLogs

__filterLogs()

Private method to filter the log entries.

#### SvnLogBrowserDialog.__finish

__finish()

Private slot called when the user pressed the button.

#### SvnLogBrowserDialog.__generateFileItem

__generateFileItem(action, path, copyFrom, copyRev)

Private method to generate a changed files tree entry.

action
  indicator for the change action ("A", "D" or "M")
path
  path of the file in the repository (string or QString)
copyFrom
  path the file was copied from (None, string or QString)
copyRev
  revision the file was copied from (None, string or QString)

Returns:
  reference to the generated item (QTreeWidgetItem)

#### SvnLogBrowserDialog.__generateLogItem

__generateLogItem(author, date, message, revision, changedPaths)

Private method to generate a log tree entry.

author
  author info (string or QString)
date
  date info (integer)
message
  text of the log message (string or QString)
revision
  revision info (string or pysvn.opt_revision_kind)
changedPaths
  list of pysvn dictionary like objects containing info about the changed files/directories

Returns:
  reference to the generated item (QTreeWidgetItem)

#### SvnLogBrowserDialog.__getLogEntries

__getLogEntries(startRev = None)

Private method to retrieve log entries from the repository.

startRev
  revision number to start from (integer, string or QString)

#### SvnLogBrowserDialog.__resizeColumnsFiles

__resizeColumnsFiles()

Private method to resize the changed files tree columns.

#### SvnLogBrowserDialog.__resizeColumnsLog

__resizeColumnsLog()

Private method to resize the log tree columns.

#### SvnLogBrowserDialog.__resortFiles

__resortFiles()

Private method to resort the changed files tree.

#### SvnLogBrowserDialog.__resortLog

__resortLog()

Private method to resort the log tree.

#### SvnLogBrowserDialog.__showError

__showError(msg)

Private slot to show an error message.

msg
  error message to show (string or QString)

#### SvnLogBrowserDialog._reset

_reset()

Protected method to reset the internal state of the dialog.

#### SvnLogBrowserDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnLogBrowserDialog.on_clearRxEditButton_clicked

on_clearRxEditButton_clicked()

Private slot called by a click of the clear RX edit button.

#### SvnLogBrowserDialog.on_diffPreviousButton_clicked

on_diffPreviousButton_clicked()

Private slot to handle the Diff to Previous button.

#### SvnLogBrowserDialog.on_diffRevisionsButton_clicked

on_diffRevisionsButton_clicked()

Private slot to handle the Compare Revisions button.

#### SvnLogBrowserDialog.on_fieldCombo_activated

on_fieldCombo_activated(txt)

Private slot called, when a new filter field is selected.

txt
  text of the selected field (QString)

#### SvnLogBrowserDialog.on_fromDate_dateChanged

on_fromDate_dateChanged(date)

Private slot called, when the from date changes.

date
  new date (QDate)

#### SvnLogBrowserDialog.on_logTree_currentItemChanged

on_logTree_currentItemChanged(current, previous)

Private slot called, when the current item of the log tree changes.

current
  reference to the new current item (QTreeWidgetItem)
previous
  reference to the old current item (QTreeWidgetItem)

#### SvnLogBrowserDialog.on_logTree_itemSelectionChanged

on_logTree_itemSelectionChanged()

Private slot called, when the selection has changed.

#### SvnLogBrowserDialog.on_nextButton_clicked

on_nextButton_clicked()

Private slot to handle the Next button.

#### SvnLogBrowserDialog.on_rxEdit_textChanged

on_rxEdit_textChanged(txt)

Private slot called, when a filter expression is entered.

txt
  filter expression (QString)

#### SvnLogBrowserDialog.on_stopCheckBox_clicked

on_stopCheckBox_clicked(checked)

Private slot called, when the stop on copy/move checkbox is clicked

#### SvnLogBrowserDialog.on_toDate_dateChanged

on_toDate_dateChanged(date)

Private slot called, when the from date changes.

date
  new date (QDate)

#### SvnLogBrowserDialog.start

start(fn)

Public slot to start the svn log command.

fn
  filename to show the log for (string)

Up